com.aliyun.player

## Enum IPlayer.SeekMode

- java.lang.Object
- - java.lang.Enum<IPlayer.SeekMode>
  - - com.aliyun.player.IPlayer.SeekMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<IPlayer.SeekMode>
  Enclosing interface:
    IPlayer

      public static enum IPlayer.SeekMode
      extends java.lang.Enum<IPlayer.SeekMode>

  Seeking modes

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Accurate` Accurate seeking.
    `Inaccurate` Inaccurate seeking.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()`
    `static IPlayer.SeekMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static IPlayer.SeekMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Accurate

          public static final IPlayer.SeekMode Accurate

      Accurate seeking.

    - #### Inaccurate

          public static final IPlayer.SeekMode Inaccurate

      Inaccurate seeking.

  - ### Method Detail

    - #### values

          public static IPlayer.SeekMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IPlayer.SeekMode c : IPlayer.SeekMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IPlayer.SeekMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()